org.apache.mina.core.session

## Class IoSessionInitializationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.mina.core.session.IoSessionInitializationException

- All Implemented Interfaces:
    Serializable

      public class IoSessionInitializationException
      extends RuntimeException

  A `RuntimeException` that is thrown when the initialization of an `IoSession` fails.
  Author:
    Apache MINA Project
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IoSessionInitializationException()`
    `IoSessionInitializationException(String message)`
    `IoSessionInitializationException(String message, Throwable cause)`
    `IoSessionInitializationException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IoSessionInitializationException

          public IoSessionInitializationException()

    - #### IoSessionInitializationException

          public IoSessionInitializationException(String message,
                                          Throwable cause)

    - #### IoSessionInitializationException

          public IoSessionInitializationException(String message)

    - #### IoSessionInitializationException

          public IoSessionInitializationException(Throwable cause)

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.